@import "mixins";
@import "variables";

.recent-posts {
   @include section-wrappers;
padding-bottom: 20px;
    &-article-wrapper {
        @include flex;
        justify-content: space-between;
        width: 100%;
    }

    &-article {
        @include flex;
        @media (max-width: 767px) {
            padding-top:20px;
        }
        @media (min-width:768px) {
            padding: 16px 0;
            &-description {
                width: 60%;
            }
        }
        @media (min-width: 1200px) {
            width: 49%;
        }
        &-img {
            padding-right: 20px;
            width: 160px;
            height:140px;
        }
    }
    &-header{
            @include font-headers;
            color: $text-color-dark;
            text-transform: uppercase;
            &::before {
                content: "-";
                @include pseudoelem;
            }
        }
    &-article-description {
        @media (max-width: 767px) {
            padding: 10px 0;
        }
        @include flex;
        &__subheader, &__link {
           width:99%;
           color: $text-color-dark;
         @include font-headers;
            padding-top: 10px;
        }
        &__cat, &__comments {
            @include font-light;
            color: $text-color-light;
            padding: 10px 20px 10px 0;
        }
        &__cat::after {
            content: "/";
            @include pseudoelem;
            left: 10px;
        }
        &__summary {
            @include font-text;
            color: $text-color-regular;
            @media (max-width:767px) {
display:none;
            }
        }
    }
    }